Subject: OMAP 4430 SDP: rather sick with recent kernels

From: [email-masked] (Peter Ujfalusi)
Date: Wed, 31 Dec 2014 16:00:14 +0200

On 12/18/2014 01:49 PM, Mark Brown wrote:
> On Thu, Dec 18, 2014 at 10:16:18AM +0000, Russell King - ARM Linux wrote:
> 
>> So that doesn't work - but importantly, it does point towards a
>> possible culpret - snd_soc_of_parse_audio_routing().
> 
>> This is obvious when you stop and think about what it's doing, this is
>> truely where this bug lies, and it /is/ in generic ASoC code.
> 
>> The problem is that this function doesn't consider the implications of
>> deferred probing.  Let's see what happens if we defer, and re-do the
>> ABE initialisation, including calling this function:
> 
> Right, spot on - I'll send a revert for that upstream.  Thanks for
> tracking this down.

Mark, can you send the e3b1e6a19e09877b91517dfe304a2b3f6b2138fc (found it in
linux-next) for 3.19 if it not yet done? With that applied mainline boots up
on my Blaze.

-- 
P?ter